### Method

# Fwupd Client add_hint

since: 1.7.1

#### Declaration [src]

    void
    fwupd_client_add_hint (
      FwupdClient* self,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Sets optional hints from the client that may affect the list of devices.

Available since: 1.7.1

#### Parameters

`key`

  Type: `const gchar*`

  The key, e.g. `locale`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The value `key` should be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.